Name:           monitor-edid
Summary:        Tool for probing and parsing monitor EDID

License:        GPLv3+
Url:            http://gitweb.mageia.org/software/monitor-edid/

Version:        3.4
Release:    1%{?dist}

Source0:        https://gitweb.mageia.org/software/monitor-edid/snapshot/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch000:	monitor-edid-Makefile.patch

Patch001:	Avoid-double-include.patch

Requires:	perl(File::Find)

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  sed

BuildRequires:  perl-generators

BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Parse::EDID)

%ifarch %{ix86} x86_64
BuildRequires: libx86-devel
BuildRequires: gcc
%else
%global debug_package %{nil}
%endif

%description
Monitor-edid is a tool for probing and parsing Extended display
identification data (EDID) from monitors.

For more information about EDID, see http://en.wikipedia.org/wiki/EDID


%prep
%autosetup -n refs/tags/v%{version}


%build
%set_build_flags

LDFLAGS=$(echo ${LDFLAGS} | sed -e 's/-Wl,--as-needed//')
export LDFLAGS

%make_build


%install
%make_install


%check
cd test
make new_MonitorsDB
make all


%files
%doc README NEWS ChangeLog
%license COPYING
%{_bindir}/monitor-parse-edid
%{_sbindir}/monitor-edid
%{_sbindir}/monitor-get*

%exclude %{_sbindir}/monitor-probe*


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-1
- initial build
